# Interface ApplicationSchemaInformation

All Known Implementing Classes:
  `DefaultApplicationSchemaInformation`

@UML(identifier="MD_ApplicationSchemaInformation", specification=ISO_19115) public interface ApplicationSchemaInformation
Information about the application schema used to build the dataset.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConstraintLanguage()`
  Formal language used in Application Schema.
  `URI`
  `getGraphicsFile()`
  Full application schema given as a graphics file.
  `Citation`
  `getName()`
  Name of the application schema used.
  `URI`
  `getSchemaAscii()`
  Full application schema given as an ASCII file.
  `String`
  `getSchemaLanguage()`
  Identification of the schema language used.
  `URI`
  `getSoftwareDevelopmentFile()`
  Full application schema given as a software development file.
  `String`
  `getSoftwareDevelopmentFileFormat()`
  Software dependent format used for the application schema software dependent file.

- ## Method Details

  - ### getName

    @UML(identifier="name", obligation=MANDATORY, specification=ISO_19115) Citation getName()
    Name of the application schema used.
    Returns:
      Name of the application schema.

  - ### getSchemaLanguage

    @UML(identifier="schemaLanguage", obligation=MANDATORY, specification=ISO_19115) String getSchemaLanguage()
    Identification of the schema language used.
    Returns:
      The schema language used.

  - ### getConstraintLanguage

    @UML(identifier="constraintLanguage", obligation=MANDATORY, specification=ISO_19115) String getConstraintLanguage()
    Formal language used in Application Schema.
    Returns:
      Formal language used in Application Schema.

  - ### getSchemaAscii

    @UML(identifier="schemaAscii", obligation=OPTIONAL, specification=ISO_19115) URI getSchemaAscii()
    Full application schema given as an ASCII file.
    Returns:
      Application schema as an ASCII file.
    "TODO:"
      In UML, the type was `CharacterString`. It is not clear if it should be the file name or the file content.

  - ### getGraphicsFile

    @UML(identifier="graphicsFile", obligation=OPTIONAL, specification=ISO_19115) URI getGraphicsFile()
    Full application schema given as a graphics file.
    Returns:
      Application schema as a graphics file.

  - ### getSoftwareDevelopmentFile

    @UML(identifier="softwareDevelopmentFile", obligation=OPTIONAL, specification=ISO_19115) URI getSoftwareDevelopmentFile()
    Full application schema given as a software development file.
    Returns:
      Application schema as a software development file.
    "TODO:"
      In UML, the type was `binary`. It is not clear if it was intended to be the file content.

  - ### getSoftwareDevelopmentFileFormat

    @UML(identifier="softwareDevelopmentFileFormat", obligation=OPTIONAL, specification=ISO_19115) String getSoftwareDevelopmentFileFormat()
    Software dependent format used for the application schema software dependent file.
    Returns:
      Format used for the application schema software file.